Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 977124 - Review Request: nodejs-grunt-contrib-nodeunit - Run Nodeunit unit tests with grunt
Summary: Review Request: nodejs-grunt-contrib-nodeunit - Run Nodeunit unit tests with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 968607 977122
Blocks: nodejs-reviews 969823
TreeView+ depends on / blocked
 
Reported: 2013-06-23 17:00 UTC by Jamie Nguyen
Modified: 2014-03-30 18:49 UTC (History)
2 users (show)

Fixed In Version: nodejs-grunt-contrib-nodeunit-0.3.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-15 16:38:27 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-06-23 17:00:24 UTC
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-contrib-nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-contrib-nodeunit-0.2.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Run Nodeunit unit tests with grunt.

Comment 1 Tom Hughes 2014-02-24 21:15:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Latest version is packaged.

0.3.2 is current.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.36 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.36
INFO: Mock Version: 1.1.36
Start: lock buildroot
INFO: installing package(s): /home/tom/977124-nodejs-grunt-contrib-nodeunit/results/nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/977124-nodejs-grunt-contrib-nodeunit/results/nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.noarch.rpm']
Error: Package: nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.noarch (/nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.noarch)
           Requires: npm(nodeunit) >= 0.8.0
           Installing: nodeunit-0.7.4-1.fc19.noarch (compton)
               npm(nodeunit) = 0.7.4
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.noarch.rpm
          nodejs-grunt-contrib-nodeunit-0.2.0-1.fc21.src.rpm
nodejs-grunt-contrib-nodeunit.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-nodeunit/node_modules/nodeunit /usr/lib/node_modules/nodeunit
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
nodejs-grunt-contrib-nodeunit (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(nodeunit)



Provides
--------
nodejs-grunt-contrib-nodeunit:
    nodejs-grunt-contrib-nodeunit
    npm(grunt-contrib-nodeunit)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-nodeunit/-/grunt-contrib-nodeunit-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : 8c308a6a0b210d871779df5b3a16f9f88b87c7a15682fa53c0c58480b6fd30d3
  CHECKSUM(SHA256) upstream package : 8c308a6a0b210d871779df5b3a16f9f88b87c7a15682fa53c0c58480b6fd30d3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 977124
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jamie Nguyen 2014-02-24 21:32:16 UTC
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-contrib-nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-contrib-nodeunit-0.3.2-1.fc21.src.rpm

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-1
- update to upstream release 0.3.2
- take Source0 from GitHub as the NPM tarball is missing several useful files
- add missing BuildRequires

Comment 3 Tom Hughes 2014-02-24 22:32:38 UTC
Looks fine. Package approved.

Comment 4 Jamie Nguyen 2014-02-24 22:36:28 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-nodeunit
Short Description: Run Nodeunit unit tests with grunt
Owners: jamielinux patches
Branches: f19 f20 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-02-25 13:35:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-03-13 08:28:27 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-nodeunit-0.3.2-1.fc20

Comment 7 Fedora Update System 2014-03-13 08:29:06 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-nodeunit-0.3.2-1.fc19

Comment 8 Fedora Update System 2014-03-13 08:29:40 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-nodeunit-0.3.2-1.el6

Comment 9 Fedora Update System 2014-03-15 15:08:09 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-03-24 06:41:42 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-03-24 06:42:03 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-03-30 18:49:03 UTC
nodejs-grunt-contrib-nodeunit-0.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.